libzypp 17.37.10

zyppng::str Namespace Reference

## Enumerations
enum | Trim
| To define how to trim. More...

## Functions
template<typename T>
std::optional< T > | safe_strtonum (const std::string_view &val)
template<typename StrType, typename T = std::remove_reference_t<StrType>>
T | trim (StrType &&s, const Trim trim_r)
template<class TOutputIterator>
void | split (const boost::string_view &line_r, TOutputIterator result_r, const boost::string_view &sepchars_r=" \t", const Trim trim_r=Trim::NO_TRIM)

## Enumeration Type Documentation

## ◆ Trim

enum zypp::str::Trim

To define how to trim.

Definition at line 567 of file String.h.

## Function Documentation

## ◆ safe_strtonum()

template<typename T>

std::optional< T > zyppng::str::safe_strtonum | ( | const std::string_view & | val | ) |

Definition at line 23 of file string.h.

## ◆ trim()

template<typename StrType, typename T = std::remove_reference_t<StrType>>

T zyppng::str::trim | ( | StrType && | s,
|  | const Trim | trim_r )

Definition at line 35 of file string.h.

## ◆ split()

template<class TOutputIterator>

void zyppng::str::split | ( | const boost::string_view & | line_r,
|  | TOutputIterator | result_r,
|  | const boost::string_view & | sepchars_r = " \t",
|  | const Trim | trim_r = Trim::NO_TRIM )

Definition at line 76 of file string.h.